Support » Plugin: Rehabtabs » [Plugin: Rehabtabs] fatal error options.php

  • Resolved C0BALT

    (@c0balt)


    I do have a few plugins and a theme installed.

    In the meantime, here is the fatal error I am getting:

    Plugin could not be activated because it triggered a fatal error.
    Fatal error: Class ‘FilesystemIterator’ not found in /x/y/public_html/wp-content/plugins/rehabtabs/options.php on line 37

    If you need further diagnosis let me know.

    http://wordpress.org/extend/plugins/rehabtabs/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Grant Mangham

    (@vancoder)

    Thanks for the report C0balt.

    The plugin uses FilesystemIterator, which means you need to be running PHP version 5.3 or above. I’m assuming you have an older version?

    What wordpress needs:
    http://wordpress.org/about/requirements/
    PHP version 5.2.4 or greater
    MySQL version 5.0 or greater

    My version:
    PHP version 5.2.17
    MySQL version 5.1.58-community-log

    It might be an idea to let people know they they need a “newer” version of php than what WP3.3 requires.

    Unfortuneatly I have no control as to which version of PHP is installed on the server.

    PS, do you live in Vancouver, BC?

    Plugin Author Grant Mangham

    (@vancoder)

    It might be an idea to let people know they they need a “newer” version of php than what WP3.3 requires.

    Fair point. I’ll go one better and look at accommodating older PHP versions in the next week or so.

    I’m in Vancouver, yes.

    Plugin Author Grant Mangham

    (@vancoder)

    Hi

    Hopefully the latest version has resolved your problem.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Plugin: Rehabtabs] fatal error options.php’ is closed to new replies.